**Ancienne version** DocuSign eSignature pour Salesforce - Mise à niveau de DocuSign eSignature pour Salesforce

Vue d’ensemble

Si vous utilisez une ancienne version de DocuSign eSignature pour Salesforce (6.9 ou antérieure), vous risquez de rencontrer des erreurs si vous essayez de procéder directement à la mise à niveau vers la dernière version disponible.
Vous disposez de deux options pour garantir le bon déroulement de la mise à niveau :
  1. Utilisez les liens d’installation fournis ci-dessous pour accéder à une version compatible qui permet la mise à niveau vers le package le plus récent.
  2. Désinstallez DocuSign eSignature pour Salesforce et installez le package le plus récent disponible ici.
Remarque : Bien que nous vous recommandions d’utiliser l’option 1, l’option 2 est une solution rapide si vous n’avez pas utilisé l’intégration ou si vous n’avez pas besoin des données DocuSign qui se trouvent actuellement dans votre organisation Salesforce. Si vous vous demandez si vous devez désinstaller ou mettre à niveau DocuSign eSignature pour Salesforce, veuillez contacter l’assistance pour obtenir la confirmation que la désinstallation ou la mise à niveau est la meilleure option.

Comment effectuer la mise à jour vers une version compatible

Pour effectuer la mise à jour, suivez les liens ci-dessous. Effectuez les mises à niveau dans l’ordre indiqué ci-dessous, en fonction de la version que vous utilisez.
Par exemple, si vous utilisez la version 3.11, vous devrez utiliser tous les liens de mise à niveau indiqués, et effectuer les mises à niveau dans l’ordre indiqué (5.6 vers 6.4.5, puis 6.4.5 vers 6.7.2, suivi par 6.7.2 vers 6.8.2, etc.). Lorsque vous avez mis à jour DocuSign eSignature pour Salesforce avec la version 7.0, vous serez en mesure d’effectuer la mise à niveau vers la version la plus récente indiquée dans ce guide.
Remarque : Les versions de DocuSign eSignature pour Salesforce supérieures à la version 7 ne prennent plus en charge les boutons JavaScript. Vous devrez convertir tous les boutons JavaScript personnalisés au format URLFOR. Avant de procéder à la mise à niveau vers la version 7 ou supérieure, vous pouvez conserver la version 6.9.4 pendant la conversion de vos boutons du format JavaScript au format URLFOR. La version 6.9.4 prend en charge les deux formats de boutons. Cliquez ici afin de consulter la procédure pour convertir vos boutons.

Nous vous recommandons vivement de commencer par tester ce processus de mise à niveau dans votre environnement Sandbox. Pour utiliser ces liens dans l’environnement Sandbox, remplacez l’URL par https://test.salesforce.com.

En outre, si vous ne savez pas quelle version de DocuSign eSignature pour Salesforce vous utilisez, accédez à Configuration > Packages installés dans Salesforce.
Dans la liste des packages installés, vous verrez notre numéro de version en regard de DocuSign eSignature pour Salesforce, sous la colonne Numéro de version :
User-added image
Remarque : Les liens fournis dans cet article doivent être utilisés pour mettre à niveau votre intégration actuelle de DocuSign eSignature pour Salesforce vers l’itération la plus récente de notre intégration. N’installez pas ces versions dans le cadre d’une nouvelle installation, car les nouvelles versions répondent aux règles de sécurité de Salesforce et comportent des corrections de problèmes de produits qui peuvent affecter ces anciennes versions.